Fish_BuffCFG = {}

function Fish_BuffCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_BuffCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, BuffName = "锁定", BuffIcon = "UI/Image/lockIcon.png", BuffType = 1, Duration = 0, NeedVIP = 2, BulletType = 1, BulletCount = 0, Param = {}, GuideImage = "UI/Image/lock_guide.jpg", GuideInfo = ""}
	self.datas[2] = {ID = 2, BuffName = "急速", BuffIcon = "UI/Image/fastIcon.png", BuffType = 1, Duration = 0, NeedVIP = 4, BulletType = 1, BulletCount = 0, Param = {}, GuideImage = "UI/Image/fast_guide.jpg", GuideInfo = ""}
	self.datas[3] = {ID = 3, BuffName = "狂暴", BuffIcon = "UI/Image/mutilIcon.png", BuffType = 1, Duration = 0, NeedVIP = 3, BulletType = 1, BulletCount = 0, Param = {}, GuideImage = "UI/Image/multi_guide.jpg", GuideInfo = "到达VIP 3级解锁，组合使用这些技能效果更佳。"}
	self.datas[4] = {ID = 4, BuffName = "自动", BuffIcon = "UI/Image/autoIcon.png", BuffType = 1, Duration = 0, NeedVIP = 1, BulletType = 1, BulletCount = 0, Param = {}, GuideImage = "UI/Image/auto_guide.jpg", GuideInfo = "月卡"}
	self.datas[5] = {ID = 5, BuffName = "普通大招", BuffIcon = "", BuffType = 2, Duration = 5, NeedVIP = 0, BulletType = 2, BulletCount = 23, Param = {9}, GuideImage = "", GuideInfo = ""}
	self.datas[10] = {ID = 10, BuffName = "冰冻", BuffIcon = "UI/Image/autoIcon.png", BuffType = 1, Duration = 0, NeedVIP = 1, BulletType = 1, BulletCount = 0, Param = {}, GuideImage = "UI/Image/auto_guide.jpg", GuideInfo = ""}
end

Fish_BuffCFG:init()
